Bug 455989 - Review Request: xfce-mcs-plugins-extra - Extra plugins for the Xfce mcs manager
Review Request: xfce-mcs-plugins-extra - Extra plugins for the Xfce mcs manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-19 16:40 EDT by Christoph Wickert
Modified: 2013-03-13 01:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-11 13:10:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sundaram: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 264421 None None None Never

  None (edit)
Description Christoph Wickert 2008-07-19 16:40:58 EDT
Spec URL: http://cwickert.fedorapeople.org/review/xfce-mcs-plugins-extra.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfce-mcs-plugins-extra-2.0-1.fc10.src.rpm
Description: This packages provides additional configuration items to be included 
in the Xfce settings manager:
- Autostarted applications
- Menu editor
- Removable drives and media
- SCIM input method
Comment 1 Rahul Sundaram 2008-07-20 14:45:08 EDT
OK  | MUST: rpmlint is clean
OK  | MUST: The package must be named according to the Package…
OK  | MUST: The spec file name must match the base package…
OK  | MUST: The package must meet the Packaging Guidelines…
OK  | MUST: The package must be licensed with a Fedora approved…

NOK  | MUST: The License field in the package spec file must…

License tag is incorrect. It is GPLv2 and not GPLv2+. Check the copyright
headers under src directory. They are explicitly licensed under GPL v2 only. 

-   | MUST: The spec file must be written in American English.
OK  | MUST: The package must successfully compile and build…
OK  | MUST: All build dependencies must be listed…
OK  | MUST: The spec file MUST handle locales properly…
OK  | MUST: Every binary RPM package which stores shared…
OK  | MUST: If the package is designed to be relocatable…
OK  | MUST: A package must own all directories that it creates
OK  | MUST: A package must not contain any duplicate files 
OK  | MUST: Permissions on files must be set properly. 
OK  | MUST: Each package must have a %clean section
OK  | MUST: Each package must consistently use macros
OK  | MUST: The package must contain code, or permissible 
N/A | MUST: Large documentation files should go in a -doc 
OK  | MUST: If a package includes something as %doc…
N/A | MUST: Header files must be in a -devel package.
N/A | MUST: Static libraries must be in a -static package.
Static files are disabled as per guidelines
N/A | MUST: Packages containing pkgconfig(.pc) files must…
N/A | MUST: If a package contains library files with a suffix…
N/A | MUST: In the vast majority of cases, devel packages must…
OK  | MUST: Packages must NOT contain any .la libtool archives, 
la files are removed correctly as per guidelines
N/A | MUST: Packages containing GUI applications must include…
OK  | MUST: Packages must not own files or directories already
OK  | MUST: At the beginning of %install, each package MUST…
OK  | MUST: All filenames in rpm packages must be valid UTF-8.
OK  | SHOULD: If the source package does not include license 
-   | SHOULD: The description and summary section … translations…
OK  | SHOULD: The package builds in mock
-   | SHOULD: The package builds on all supported architectures
OK  | SHOULD: The reviewer should test that the package…
N/A | SHOULD: If scriptlets are used, those scriptlets must be sane…
N/A | SHOULD: Subpackages other than devel should usually require base…
N/A | SHOULD: The placement of pkgconfig(.pc) files depends on…
OK | SHOULD: If the package has file dependencies outside of shortlist…
OK  | MUST: All build dependencies must be listed…

Install instructions mention that FSF is giving permission to copy, modify and
redistribute. This is incorrect. Only the copyright holders are doing so. That
bit needs to be fixed upstream. Please notify them. 

You might want to pass  --with-gnu-ld  in configure to speed up the process

Please send a patch upstream to remove the hardcoded path you are working around
in your spec file. 




Comment 2 Christoph Wickert 2008-07-26 21:04:00 EDT
(In reply to comment #1)
> 
> NOK  | MUST: The License field in the package spec file must…
> 
> License tag is incorrect. It is GPLv2 and not GPLv2+. Check the copyright
> headers under src directory. They are explicitly licensed under GPL v2 only. 

I thought I had looked that up but you are correct. Fixed.

> Install instructions mention that FSF is giving permission to copy, modify and
> redistribute. This is incorrect. Only the copyright holders are doing so. That
> bit needs to be fixed upstream. Please notify them. 

Will do.

> You might want to pass  --with-gnu-ld  in configure to speed up the process

Done.

> Please send a patch upstream to remove the hardcoded path you are working around
> in your spec file. 

Any idea how to do this best? I'm not really familiar with autotools, so I don't
want to add a ./configure. Debian/Ubuntu are also patching the file.
Comment 3 Rahul Sundaram 2008-07-27 19:19:20 EDT
I am hardly a autotools expert but I send a patch for rssh upstream recently.

http://sourceforge.net/mailarchive/forum.php?thread_name=488525DF.3020800%40fedoraproject.org&forum_name=rssh-discuss

That should give you a general idea. 
Comment 4 Rakesh Pandit 2008-09-03 12:09:46 EDT
@Christoph
Review is stalled and needs update soon.
Comment 5 Christoph Wickert 2008-09-03 12:56:56 EDT
The review is stalled because I'm failing to patch the change Rahul requested in comment # 1. Unfortunately The suggestion from comment #3 does not work because I need to patch source but not only the Makefile.

I still have no idea how this is supposed to work: thunar-volman is installed in different locations on different distributions, so it's not just about removing the hardcoded path: Replacing /usr/libexec with %{libexecdir} is not enough because it can also be %{libexecdir}/thunar-volman or even %{libdir}. So in the end it _needs_ ./configure to check for the location and pick it up. As I said I'm not an autotools expert, so I have no idea how to do this.
Comment 6 Christoph Wickert 2008-09-03 13:20:59 EDT
Filed bug upstream at https://bugs.launchpad.net/bugs/264421
Comment 8 Rahul Sundaram 2008-09-05 09:37:02 EDT
APPROVED
Comment 9 Christoph Wickert 2008-09-05 11:32:48 EDT
New Package CVS Request
=======================
Package Name: xfce-mcs-plugins-extra
Short Description: Extra plugins for the Xfce mcs manager
Owners: cwickert, kevin
Branches: F-8 F-9
InitialCC:
Comment 10 Kevin Fenzi 2008-09-05 12:37:42 EDT
cvs done.
Comment 11 Fedora Update System 2008-09-05 15:22:55 EDT
xfce-mcs-plugins-extra-2.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xfce-mcs-plugins-extra-2.0-2.fc9
Comment 12 Fedora Update System 2008-09-05 15:24:58 EDT
xfce-mcs-plugins-extra-2.0-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/xfce-mcs-plugins-extra-2.0-2.fc8
Comment 13 Fedora Update System 2008-09-11 13:04:40 EDT
xfce-mcs-plugins-extra-2.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-09-11 13:10:32 EDT
xfce-mcs-plugins-extra-2.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.